<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2019 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2019.1/1829459
 */

return array(
    'short_links' => array(
        'hostname'     => null,     // a dedicated host for short links - defaults to standard host
                                    // this setting will be ignored if 'external_url' is set
        'external_url' => null,     // force a custom fully qualified URL (example: "https://example.com:8488")
                                    // this setting will override 'hostname' if both are specified
                                    // if set then ['environment']['external_url'] must also be set
    ),
    'router' => array(
        'routes' => array(
            'short-link' => array(
                'type' => 'Zend\Router\Http\Segment',
                'options' => array(
                    'route'    => '/l[/:link][/]',
                    'defaults' => array(
                        'controller' => ShortLinks\Controller\IndexController::class,
                        'action'     => 'index',
                        'link'       => null
                    ),
                ),
            ),
        ),
    ),
    'controllers' => array(
        'factories' => [
            ShortLinks\Controller\IndexController::class => Application\Controller\IndexControllerFactory::class
        ],
    ),
);
